import picgo from 'picgo';
export declare const config: (ctx: picgo) => {
    name: string;
    type: string;
    default: string;
    required: boolean;
    message: string;
    alias: string;
}[];
export declare const getFtpConfig: (userConfig: IFtpLoaderUserConfig) => Promise<{
    [key: string]: IFtpLoaderUserConfigItem;
}>;
export interface IFtpLoaderUserConfig {
    site: string;
    configFile: string;
}
export interface IFtpLoaderUserConfigItem extends Object {
    url: string;
    path: string;
    uploadPath: string;
    host: string;
    port: number;
    username?: string;
    password?: string;
}
export interface IFtpLoaderPathInfo {
    path: string;
    uploadPath: string;
}
